module FFTW3
!
! ==================================================================
!
! This module has to be used (via "use FFTW3") in any subroutine that employs
! the FFTW package.
!
!
! Contact: blazej.bucha@stuba.sk
!
! ==================================================================


    use, intrinsic :: iso_c_binding

    implicit none

    include 'fftw3.f03'
    include 'fftw3l.f03' ! This interface file is needed only when working in
                         ! quadruple precision. The line can be marked as a
                         ! comment if the user does not have installed the
                         ! quadruple version of FFTW and does not use any
                         ! subroutine from the "SHA_SHS" package that ends with
                         ! "*_qp.f95".
    include 'fftw3q.f03' ! This interface file is needed only when working in
                         ! quadruple precision. The line can be marked as a
                         ! comment if the user does not have installed the
                         ! quadruple version of FFTW and does not use any
                         ! subroutine from the "SHA_SHS" package that ends with
                         ! "*_qp.f95".

end module FFTW3
